<template>
  <div id="app" :class="mainClass">
    <router-view/>
  </div>
</template>
<script>


export default {

  computed:{
    /**
     * 授权页面添加特定类名
     * @returns {string}
     */
    mainClass(){
      const path = this.$route.path
      console.log(path)
      if(path.startsWith('/auth')){
        return 'login-page'
      }
    }
  }
}
</script>

<style>
#app {
  width: 100%;
  height:100%;
  min-height: 100vh;
}

</style>